{-# LANGUAGE CPP #-}
{-# LANGUAGE OverloadedStrings #-}

-- | This module defines constants for internal use. 

module Database.ClickHouseDriver.Defines where

import           Data.ByteString.Internal

{-# INLINE _DEFAULT_PORT #-}
_DEFAULT_PORT = "9000"

{-# INLINE _DEFAULT_SECURE_PORT #-}
_DEFAULT_SECURE_PORT = "9440"

{-# INLINE _DBMS_MIN_REVISION_WITH_TEMPORARY_TABLES #-}
_DBMS_MIN_REVISION_WITH_TEMPORARY_TABLES = 50264 :: Word

{-# INLINE _DBMS_MIN_REVISION_WITH_TOTAL_ROWS_IN_PROGRESS #-}
_DBMS_MIN_REVISION_WITH_TOTAL_ROWS_IN_PROGRESS = 51554 :: Word

{-# INLINE _DBMS_MIN_REVISION_WITH_BLOCK_INFO #-}
_DBMS_MIN_REVISION_WITH_BLOCK_INFO = 51903

-- Legacy above.

{-# INLINE _DBMS_MIN_REVISION_WITH_CLIENT_INFO #-}
_DBMS_MIN_REVISION_WITH_CLIENT_INFO = 54032 :: Word

{-# INLINE _DBMS_MIN_REVISION_WITH_SERVER_TIMEZONE #-}
_DBMS_MIN_REVISION_WITH_SERVER_TIMEZONE = 54058 :: Word

{-# INLINE _DBMS_MIN_REVISION_WITH_QUOTA_KEY_IN_CLIENT_INFO  #-}
_DBMS_MIN_REVISION_WITH_QUOTA_KEY_IN_CLIENT_INFO = 54060 :: Word

_DBMS_MIN_REVISION_WITH_SERVER_DISPLAY_NAME = 54372 :: Word

_DBMS_MIN_REVISION_WITH_VERSION_PATCH = 54401 :: Word

_DBMS_MIN_REVISION_WITH_SERVER_LOGS = 54406 :: Word

_DBMS_MIN_REVISION_WITH_COLUMN_DEFAULTS_METADATA = 54410 :: Word

_DBMS_MIN_REVISION_WITH_CLIENT_WRITE_INFO :: Word
_DBMS_MIN_REVISION_WITH_CLIENT_WRITE_INFO = 54420 :: Word

_DBMS_MIN_REVISION_WITH_SETTINGS_SERIALIZED_AS_STRINGS :: Word
_DBMS_MIN_REVISION_WITH_SETTINGS_SERIALIZED_AS_STRINGS = 54429 :: Word

-- Timeouts
_DBMS_DEFAULT_CONNECT_TIMEOUT_SEC :: Integer
_DBMS_DEFAULT_CONNECT_TIMEOUT_SEC = 10

_DBMS_DEFAULT_TIMEOUT_SEC :: Integer
_DBMS_DEFAULT_TIMEOUT_SEC = 300

_DBMS_DEFAULT_SYNC_REQUEST_TIMEOUT_SEC :: Integer
_DBMS_DEFAULT_SYNC_REQUEST_TIMEOUT_SEC = 5

_DEFAULT_COMPRESS_BLOCK_SIZE :: Integer
_DEFAULT_COMPRESS_BLOCK_SIZE = 1048576

_DEFAULT_INSERT_BLOCK_SIZE :: Word
_DEFAULT_INSERT_BLOCK_SIZE = 1048576 :: Word

_DBMS_NAME :: ByteString
_DBMS_NAME = "ClickHouse" :: ByteString

{-# INLINE _CLIENT_NAME #-}
_CLIENT_NAME :: ByteString
_CLIENT_NAME = "haskell-driver" :: ByteString

{-# INLINE _CLIENT_VERSION_MAJOR #-}
_CLIENT_VERSION_MAJOR :: Word
_CLIENT_VERSION_MAJOR = 18 :: Word

{-# INLINE _CLIENT_VERSION_MINOR #-}
_CLIENT_VERSION_MINOR :: Word
_CLIENT_VERSION_MINOR = 10 :: Word

{-# INLINE _CLIENT_VERSION_PATCH #-}
_CLIENT_VERSION_PATCH :: Word
_CLIENT_VERSION_PATCH = 3 :: Word

{-# INLINE _CLIENT_REVISION #-}
_CLIENT_REVISION :: Word
_CLIENT_REVISION = 54429 :: Word

_STRINGS_ENCODING :: ByteString
_STRINGS_ENCODING = "utf-8" :: ByteString

{-# INLINE _DEFAULT_HTTP_PORT #-}
_DEFAULT_HTTP_PORT :: Int
_DEFAULT_HTTP_PORT = 8123 :: Int

{-# INLINE _BUFFER_SIZE #-}
_BUFFER_SIZE :: Int
_BUFFER_SIZE = 1048576 :: Int

{-# INLINE _DEFAULT_HOST #-}
_DEFAULT_HOST :: [Char]
_DEFAULT_HOST = "localhost"

{-# INLINE _DEFAULT_PING_WAIT_TIME #-}
_DEFAULT_PING_WAIT_TIME :: Int
_DEFAULT_PING_WAIT_TIME = 10000 :: Int

{-# INLINE _DEFAULT_USERNAME #-}
_DEFAULT_USERNAME :: ByteString
_DEFAULT_USERNAME = "default" :: ByteString

{-# INLINE _DEFAULT_HOST_NAME #-}
_DEFAULT_HOST_NAME :: ByteString
_DEFAULT_HOST_NAME = "localhost" :: ByteString

{-# INLINE _DEFAULT_PASSWORD #-}
_DEFAULT_PASSWORD :: ByteString
_DEFAULT_PASSWORD =  "" :: ByteString

{-# INLINE _DEFAULT_PORT_NAME #-}
_DEFAULT_PORT_NAME :: ByteString
_DEFAULT_PORT_NAME =  "9000" :: ByteString

{-# INLINE _DEFAULT_DATABASE#-}
_DEFAULT_DATABASE :: ByteString
_DEFAULT_DATABASE =  "default" :: ByteString

{-# INLINE _DEFAULT_COMPRESSION_SETTING #-}
_DEFAULT_COMPRESSION_SETTING :: Bool
_DEFAULT_COMPRESSION_SETTING =  False
